Foreman-installer --tuning skip the hardware compatibility check in the beginning.
Description

Steps to Reproduce:

1. Run "foreman-installer --tuning extra-large" command on Katello 3.14 setup.

2. The command was failed due to a memory-related issues (You can either reduce the request size or reconfigure the kernel with

larger SHMALL)

3- After this problem system went to the unconscious state

Actual results:

foreman-installer --tuning extra-large failed and dumped a lot of error, and the system went to the unconscious state

Expected results:

If "extra-large" deployment size is not supportable then command (foreman-installer --tuning extra-large) should display a proper

message like the system has not compatible with the expected change, and the system should be normal.

Associated revisions

Revision 8f8f2bea - 11/25/2019 05:16 PM - Ewoud Kohl van Wijngaarden

Fixes #28331 - Base memory checks on tuning profile

Each tuning profile has different system requirements so a generic 8 GB

memory check is no longer sufficient. This patch always validates the

tuning profile to be valid and uses it to check memory and CPU cores. It

also uses facter rather than trying to determine it manually which makes

the code easier to read.

By always validating the tuning, it becomes important that users are

migrated when a tuning profile is removed.

History

#1 - 11/22/2019 11:58 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/409 added

#2 - 11/25/2019 05:16 PM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#3 - 11/25/2019 05:17 PM - Ewoud Kohl van Wijngaarden

- Category set to foreman-installer script

- Target version set to 1.24.0

- Triaged changed from No to Yes

- Fixed in Releases 1.24.0 added

- Fixed in Releases deleted (2.0.0)
#4 - 11/25/2019 06:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|8f8f2beaf46ed1658a28b3877a571054a5c5cec6.
